public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/proj/guru:dev commit in: app-misc/ledger-live-bin/
@ 2024-08-06  2:13 Lucio Sauer
  2024-08-06 14:10 ` [gentoo-commits] repo/proj/guru:master " Lucio Sauer
  0 siblings, 1 reply; 9+ messages in thread
From: Lucio Sauer @ 2024-08-06  2:13 UTC (permalink / raw
  To: gentoo-commits

commit:     dc36536af2a41e69ae72af73563d787f94314f80
Author:     Lucio Sauer <watermanpaint <AT> posteo <DOT> net>
AuthorDate: Tue Aug  6 01:20:53 2024 +0000
Commit:     Lucio Sauer <watermanpaint <AT> posteo <DOT> net>
CommitDate: Tue Aug  6 01:21:03 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=dc36536a

app-misc/ledger-live-bin: add missing runtime deps

- from extracted AppImage
- from scanelf -n /usr/bin/ledger-live

EAPI 7 -> 8

Closes: https://bugs.gentoo.org/932198
Signed-off-by: Lucio Sauer <watermanpaint <AT> posteo.net>

 .../ledger-live-bin-2.79.1-r1.ebuild               | 28 ++++++++++++++++++++--
 .../ledger-live-bin-2.81.2-r1.ebuild               | 28 ++++++++++++++++++++--
 .../ledger-live-bin-2.83.0-r1.ebuild               | 28 ++++++++++++++++++++--
 3 files changed, 78 insertions(+), 6 deletions(-)

diff --git a/app-misc/ledger-live-bin/ledger-live-bin-2.79.1-r1.ebuild b/app-misc/ledger-live-bin/ledger-live-bin-2.79.1-r1.ebuild
index ad1c0bacb..b5f27a67c 100644
--- a/app-misc/ledger-live-bin/ledger-live-bin-2.79.1-r1.ebuild
+++ b/app-misc/ledger-live-bin/ledger-live-bin-2.79.1-r1.ebuild
@@ -1,7 +1,7 @@
 # Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
 DESCRIPTION="Manager for the Ledger hardware wallet"
 HOMEPAGE="https://www.ledger.com/"
@@ -15,7 +15,31 @@ SLOT="0"
 KEYWORDS="~amd64"
 RESTRICT="strip"
 
-RDEPEND="sys-fs/fuse:0"
+RDEPEND="
+	app-accessibility/at-spi2-core:2
+	dev-libs/expat
+	dev-libs/glib:2
+	dev-libs/nspr
+	dev-libs/nss
+	media-libs/alsa-lib
+	media-libs/mesa
+	net-print/cups
+	sys-apps/dbus
+	sys-fs/fuse:0
+	sys-libs/zlib
+	x11-libs/cairo
+	x11-libs/gtk+:3
+	x11-libs/libX11
+	x11-libs/libXcomposite
+	x11-libs/libXdamage
+	x11-libs/libXext
+	x11-libs/libXfixes
+	x11-libs/libXrandr
+	x11-libs/libdrm
+	x11-libs/libxcb
+	x11-libs/libxkbcommon
+	x11-libs/pango
+"
 
 QA_PREBUILT="*"
 

diff --git a/app-misc/ledger-live-bin/ledger-live-bin-2.81.2-r1.ebuild b/app-misc/ledger-live-bin/ledger-live-bin-2.81.2-r1.ebuild
index ad1c0bacb..b5f27a67c 100644
--- a/app-misc/ledger-live-bin/ledger-live-bin-2.81.2-r1.ebuild
+++ b/app-misc/ledger-live-bin/ledger-live-bin-2.81.2-r1.ebuild
@@ -1,7 +1,7 @@
 # Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
 DESCRIPTION="Manager for the Ledger hardware wallet"
 HOMEPAGE="https://www.ledger.com/"
@@ -15,7 +15,31 @@ SLOT="0"
 KEYWORDS="~amd64"
 RESTRICT="strip"
 
-RDEPEND="sys-fs/fuse:0"
+RDEPEND="
+	app-accessibility/at-spi2-core:2
+	dev-libs/expat
+	dev-libs/glib:2
+	dev-libs/nspr
+	dev-libs/nss
+	media-libs/alsa-lib
+	media-libs/mesa
+	net-print/cups
+	sys-apps/dbus
+	sys-fs/fuse:0
+	sys-libs/zlib
+	x11-libs/cairo
+	x11-libs/gtk+:3
+	x11-libs/libX11
+	x11-libs/libXcomposite
+	x11-libs/libXdamage
+	x11-libs/libXext
+	x11-libs/libXfixes
+	x11-libs/libXrandr
+	x11-libs/libdrm
+	x11-libs/libxcb
+	x11-libs/libxkbcommon
+	x11-libs/pango
+"
 
 QA_PREBUILT="*"
 

diff --git a/app-misc/ledger-live-bin/ledger-live-bin-2.83.0-r1.ebuild b/app-misc/ledger-live-bin/ledger-live-bin-2.83.0-r1.ebuild
index ad1c0bacb..b5f27a67c 100644
--- a/app-misc/ledger-live-bin/ledger-live-bin-2.83.0-r1.ebuild
+++ b/app-misc/ledger-live-bin/ledger-live-bin-2.83.0-r1.ebuild
@@ -1,7 +1,7 @@
 # Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
 DESCRIPTION="Manager for the Ledger hardware wallet"
 HOMEPAGE="https://www.ledger.com/"
@@ -15,7 +15,31 @@ SLOT="0"
 KEYWORDS="~amd64"
 RESTRICT="strip"
 
-RDEPEND="sys-fs/fuse:0"
+RDEPEND="
+	app-accessibility/at-spi2-core:2
+	dev-libs/expat
+	dev-libs/glib:2
+	dev-libs/nspr
+	dev-libs/nss
+	media-libs/alsa-lib
+	media-libs/mesa
+	net-print/cups
+	sys-apps/dbus
+	sys-fs/fuse:0
+	sys-libs/zlib
+	x11-libs/cairo
+	x11-libs/gtk+:3
+	x11-libs/libX11
+	x11-libs/libXcomposite
+	x11-libs/libXdamage
+	x11-libs/libXext
+	x11-libs/libXfixes
+	x11-libs/libXrandr
+	x11-libs/libdrm
+	x11-libs/libxcb
+	x11-libs/libxkbcommon
+	x11-libs/pango
+"
 
 QA_PREBUILT="*"
 


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: app-misc/ledger-live-bin/
  2024-08-06  2:13 [gentoo-commits] repo/proj/guru:dev commit in: app-misc/ledger-live-bin/ Lucio Sauer
@ 2024-08-06 14:10 ` Lucio Sauer
  0 siblings, 0 replies; 9+ messages in thread
From: Lucio Sauer @ 2024-08-06 14:10 UTC (permalink / raw
  To: gentoo-commits

commit:     dc36536af2a41e69ae72af73563d787f94314f80
Author:     Lucio Sauer <watermanpaint <AT> posteo <DOT> net>
AuthorDate: Tue Aug  6 01:20:53 2024 +0000
Commit:     Lucio Sauer <watermanpaint <AT> posteo <DOT> net>
CommitDate: Tue Aug  6 01:21:03 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=dc36536a

app-misc/ledger-live-bin: add missing runtime deps

- from extracted AppImage
- from scanelf -n /usr/bin/ledger-live

EAPI 7 -> 8

Closes: https://bugs.gentoo.org/932198
Signed-off-by: Lucio Sauer <watermanpaint <AT> posteo.net>

 .../ledger-live-bin-2.79.1-r1.ebuild               | 28 ++++++++++++++++++++--
 .../ledger-live-bin-2.81.2-r1.ebuild               | 28 ++++++++++++++++++++--
 .../ledger-live-bin-2.83.0-r1.ebuild               | 28 ++++++++++++++++++++--
 3 files changed, 78 insertions(+), 6 deletions(-)

diff --git a/app-misc/ledger-live-bin/ledger-live-bin-2.79.1-r1.ebuild b/app-misc/ledger-live-bin/ledger-live-bin-2.79.1-r1.ebuild
index ad1c0bacb..b5f27a67c 100644
--- a/app-misc/ledger-live-bin/ledger-live-bin-2.79.1-r1.ebuild
+++ b/app-misc/ledger-live-bin/ledger-live-bin-2.79.1-r1.ebuild
@@ -1,7 +1,7 @@
 # Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
 DESCRIPTION="Manager for the Ledger hardware wallet"
 HOMEPAGE="https://www.ledger.com/"
@@ -15,7 +15,31 @@ SLOT="0"
 KEYWORDS="~amd64"
 RESTRICT="strip"
 
-RDEPEND="sys-fs/fuse:0"
+RDEPEND="
+	app-accessibility/at-spi2-core:2
+	dev-libs/expat
+	dev-libs/glib:2
+	dev-libs/nspr
+	dev-libs/nss
+	media-libs/alsa-lib
+	media-libs/mesa
+	net-print/cups
+	sys-apps/dbus
+	sys-fs/fuse:0
+	sys-libs/zlib
+	x11-libs/cairo
+	x11-libs/gtk+:3
+	x11-libs/libX11
+	x11-libs/libXcomposite
+	x11-libs/libXdamage
+	x11-libs/libXext
+	x11-libs/libXfixes
+	x11-libs/libXrandr
+	x11-libs/libdrm
+	x11-libs/libxcb
+	x11-libs/libxkbcommon
+	x11-libs/pango
+"
 
 QA_PREBUILT="*"
 

diff --git a/app-misc/ledger-live-bin/ledger-live-bin-2.81.2-r1.ebuild b/app-misc/ledger-live-bin/ledger-live-bin-2.81.2-r1.ebuild
index ad1c0bacb..b5f27a67c 100644
--- a/app-misc/ledger-live-bin/ledger-live-bin-2.81.2-r1.ebuild
+++ b/app-misc/ledger-live-bin/ledger-live-bin-2.81.2-r1.ebuild
@@ -1,7 +1,7 @@
 # Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
 DESCRIPTION="Manager for the Ledger hardware wallet"
 HOMEPAGE="https://www.ledger.com/"
@@ -15,7 +15,31 @@ SLOT="0"
 KEYWORDS="~amd64"
 RESTRICT="strip"
 
-RDEPEND="sys-fs/fuse:0"
+RDEPEND="
+	app-accessibility/at-spi2-core:2
+	dev-libs/expat
+	dev-libs/glib:2
+	dev-libs/nspr
+	dev-libs/nss
+	media-libs/alsa-lib
+	media-libs/mesa
+	net-print/cups
+	sys-apps/dbus
+	sys-fs/fuse:0
+	sys-libs/zlib
+	x11-libs/cairo
+	x11-libs/gtk+:3
+	x11-libs/libX11
+	x11-libs/libXcomposite
+	x11-libs/libXdamage
+	x11-libs/libXext
+	x11-libs/libXfixes
+	x11-libs/libXrandr
+	x11-libs/libdrm
+	x11-libs/libxcb
+	x11-libs/libxkbcommon
+	x11-libs/pango
+"
 
 QA_PREBUILT="*"
 

diff --git a/app-misc/ledger-live-bin/ledger-live-bin-2.83.0-r1.ebuild b/app-misc/ledger-live-bin/ledger-live-bin-2.83.0-r1.ebuild
index ad1c0bacb..b5f27a67c 100644
--- a/app-misc/ledger-live-bin/ledger-live-bin-2.83.0-r1.ebuild
+++ b/app-misc/ledger-live-bin/ledger-live-bin-2.83.0-r1.ebuild
@@ -1,7 +1,7 @@
 # Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
 DESCRIPTION="Manager for the Ledger hardware wallet"
 HOMEPAGE="https://www.ledger.com/"
@@ -15,7 +15,31 @@ SLOT="0"
 KEYWORDS="~amd64"
 RESTRICT="strip"
 
-RDEPEND="sys-fs/fuse:0"
+RDEPEND="
+	app-accessibility/at-spi2-core:2
+	dev-libs/expat
+	dev-libs/glib:2
+	dev-libs/nspr
+	dev-libs/nss
+	media-libs/alsa-lib
+	media-libs/mesa
+	net-print/cups
+	sys-apps/dbus
+	sys-fs/fuse:0
+	sys-libs/zlib
+	x11-libs/cairo
+	x11-libs/gtk+:3
+	x11-libs/libX11
+	x11-libs/libXcomposite
+	x11-libs/libXdamage
+	x11-libs/libXext
+	x11-libs/libXfixes
+	x11-libs/libXrandr
+	x11-libs/libdrm
+	x11-libs/libxcb
+	x11-libs/libxkbcommon
+	x11-libs/pango
+"
 
 QA_PREBUILT="*"
 


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: app-misc/ledger-live-bin/
  2024-08-06  2:13 [gentoo-commits] repo/proj/guru:dev " Lucio Sauer
@ 2024-08-06 14:10 ` Lucio Sauer
  0 siblings, 0 replies; 9+ messages in thread
From: Lucio Sauer @ 2024-08-06 14:10 UTC (permalink / raw
  To: gentoo-commits

commit:     f4a782fc997f5657d57d0f87215f9d888f936110
Author:     Lucio Sauer <watermanpaint <AT> posteo <DOT> net>
AuthorDate: Tue Aug  6 01:30:07 2024 +0000
Commit:     Lucio Sauer <watermanpaint <AT> posteo <DOT> net>
CommitDate: Tue Aug  6 02:11:40 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=f4a782fc

app-misc/ledger-live-bin: disable automatic updates

Installing the desktop file fixes another runtime issue where it
previously was impossible to close the Ledger Recover screen due to
/usr/bin/ledger-live not being the default handler for the
x-scheme-handler/ledgerlive MIME type.
Instead, the default-url-scheme-handler tried and failed to handle
ledgerlive://myledger.

Bug: https://github.com/LedgerHQ/ledger-live/issues/6785
Closes: https://bugs.gentoo.org/937379
Signed-off-by: Lucio Sauer <watermanpaint <AT> posteo.net>

 .../ledger-live-bin-2.79.1-r1.ebuild               | 34 ++++++++++++++++++----
 .../ledger-live-bin-2.81.2-r1.ebuild               | 34 ++++++++++++++++++----
 .../ledger-live-bin-2.83.0-r1.ebuild               | 34 ++++++++++++++++++----
 3 files changed, 87 insertions(+), 15 deletions(-)

diff --git a/app-misc/ledger-live-bin/ledger-live-bin-2.79.1-r1.ebuild b/app-misc/ledger-live-bin/ledger-live-bin-2.79.1-r1.ebuild
index b5f27a67c..ee450216b 100644
--- a/app-misc/ledger-live-bin/ledger-live-bin-2.79.1-r1.ebuild
+++ b/app-misc/ledger-live-bin/ledger-live-bin-2.79.1-r1.ebuild
@@ -3,11 +3,13 @@
 
 EAPI=8
 
+inherit desktop xdg
+
 DESCRIPTION="Manager for the Ledger hardware wallet"
 HOMEPAGE="https://www.ledger.com/"
 SRC_URI="https://download.live.ledger.com/ledger-live-desktop-${PV}-linux-x86_64.AppImage"
 
-S="${WORKDIR}"
+S="${WORKDIR}/squashfs-root"
 
 # logos of Ledger are non-free
 LICENSE="ledger-live-ToU MIT"
@@ -25,8 +27,6 @@ RDEPEND="
 	media-libs/mesa
 	net-print/cups
 	sys-apps/dbus
-	sys-fs/fuse:0
-	sys-libs/zlib
 	x11-libs/cairo
 	x11-libs/gtk+:3
 	x11-libs/libX11
@@ -43,7 +43,31 @@ RDEPEND="
 
 QA_PREBUILT="*"
 
+src_unpack() {
+	cp "${DISTDIR}"/ledger-live-desktop-${PV}-linux-x86_64.AppImage ${P}.AppImage || die
+	chmod +x ${P}.AppImage || die
+	./${P}.AppImage --appimage-extract || die
+	rm ${P}.AppImage || die
+}
+
+src_prepare() {
+	default
+	sed -e 's/AppRun --no-sandbox/ledger-live/' \
+		-e '/X-AppImage-Version/d' \
+		-i ledger-live-desktop.desktop || die
+}
+
 src_install() {
-	cp "${DISTDIR}/ledger-live-desktop-${PV}-linux-x86_64.AppImage" ledger-live || die
-	dobin ledger-live
+	exeinto /opt/${PN}
+	doexe chrome{-sandbox,_crashpad_handler} ledger-live-desktop
+	insinto /opt/${PN}
+	doins -r *.{bin,dat,json,pak} locales resources lib*
+	fperms u+s /opt/${PN}/chrome-sandbox
+	domenu ledger-live-desktop.desktop
+	insinto /usr/share
+	doins -r usr/share/icons
+	dosym -r /opt/${PN}/ledger-live-desktop /usr/bin/ledger-live
+	# bug 937379
+	rm "${ED}"/opt/${PN}/resources/app-update.yml || die
+	find "${ED}" -type d -exec chmod 755 {} + || die
 }

diff --git a/app-misc/ledger-live-bin/ledger-live-bin-2.81.2-r1.ebuild b/app-misc/ledger-live-bin/ledger-live-bin-2.81.2-r1.ebuild
index b5f27a67c..ee450216b 100644
--- a/app-misc/ledger-live-bin/ledger-live-bin-2.81.2-r1.ebuild
+++ b/app-misc/ledger-live-bin/ledger-live-bin-2.81.2-r1.ebuild
@@ -3,11 +3,13 @@
 
 EAPI=8
 
+inherit desktop xdg
+
 DESCRIPTION="Manager for the Ledger hardware wallet"
 HOMEPAGE="https://www.ledger.com/"
 SRC_URI="https://download.live.ledger.com/ledger-live-desktop-${PV}-linux-x86_64.AppImage"
 
-S="${WORKDIR}"
+S="${WORKDIR}/squashfs-root"
 
 # logos of Ledger are non-free
 LICENSE="ledger-live-ToU MIT"
@@ -25,8 +27,6 @@ RDEPEND="
 	media-libs/mesa
 	net-print/cups
 	sys-apps/dbus
-	sys-fs/fuse:0
-	sys-libs/zlib
 	x11-libs/cairo
 	x11-libs/gtk+:3
 	x11-libs/libX11
@@ -43,7 +43,31 @@ RDEPEND="
 
 QA_PREBUILT="*"
 
+src_unpack() {
+	cp "${DISTDIR}"/ledger-live-desktop-${PV}-linux-x86_64.AppImage ${P}.AppImage || die
+	chmod +x ${P}.AppImage || die
+	./${P}.AppImage --appimage-extract || die
+	rm ${P}.AppImage || die
+}
+
+src_prepare() {
+	default
+	sed -e 's/AppRun --no-sandbox/ledger-live/' \
+		-e '/X-AppImage-Version/d' \
+		-i ledger-live-desktop.desktop || die
+}
+
 src_install() {
-	cp "${DISTDIR}/ledger-live-desktop-${PV}-linux-x86_64.AppImage" ledger-live || die
-	dobin ledger-live
+	exeinto /opt/${PN}
+	doexe chrome{-sandbox,_crashpad_handler} ledger-live-desktop
+	insinto /opt/${PN}
+	doins -r *.{bin,dat,json,pak} locales resources lib*
+	fperms u+s /opt/${PN}/chrome-sandbox
+	domenu ledger-live-desktop.desktop
+	insinto /usr/share
+	doins -r usr/share/icons
+	dosym -r /opt/${PN}/ledger-live-desktop /usr/bin/ledger-live
+	# bug 937379
+	rm "${ED}"/opt/${PN}/resources/app-update.yml || die
+	find "${ED}" -type d -exec chmod 755 {} + || die
 }

diff --git a/app-misc/ledger-live-bin/ledger-live-bin-2.83.0-r1.ebuild b/app-misc/ledger-live-bin/ledger-live-bin-2.83.0-r1.ebuild
index b5f27a67c..ee450216b 100644
--- a/app-misc/ledger-live-bin/ledger-live-bin-2.83.0-r1.ebuild
+++ b/app-misc/ledger-live-bin/ledger-live-bin-2.83.0-r1.ebuild
@@ -3,11 +3,13 @@
 
 EAPI=8
 
+inherit desktop xdg
+
 DESCRIPTION="Manager for the Ledger hardware wallet"
 HOMEPAGE="https://www.ledger.com/"
 SRC_URI="https://download.live.ledger.com/ledger-live-desktop-${PV}-linux-x86_64.AppImage"
 
-S="${WORKDIR}"
+S="${WORKDIR}/squashfs-root"
 
 # logos of Ledger are non-free
 LICENSE="ledger-live-ToU MIT"
@@ -25,8 +27,6 @@ RDEPEND="
 	media-libs/mesa
 	net-print/cups
 	sys-apps/dbus
-	sys-fs/fuse:0
-	sys-libs/zlib
 	x11-libs/cairo
 	x11-libs/gtk+:3
 	x11-libs/libX11
@@ -43,7 +43,31 @@ RDEPEND="
 
 QA_PREBUILT="*"
 
+src_unpack() {
+	cp "${DISTDIR}"/ledger-live-desktop-${PV}-linux-x86_64.AppImage ${P}.AppImage || die
+	chmod +x ${P}.AppImage || die
+	./${P}.AppImage --appimage-extract || die
+	rm ${P}.AppImage || die
+}
+
+src_prepare() {
+	default
+	sed -e 's/AppRun --no-sandbox/ledger-live/' \
+		-e '/X-AppImage-Version/d' \
+		-i ledger-live-desktop.desktop || die
+}
+
 src_install() {
-	cp "${DISTDIR}/ledger-live-desktop-${PV}-linux-x86_64.AppImage" ledger-live || die
-	dobin ledger-live
+	exeinto /opt/${PN}
+	doexe chrome{-sandbox,_crashpad_handler} ledger-live-desktop
+	insinto /opt/${PN}
+	doins -r *.{bin,dat,json,pak} locales resources lib*
+	fperms u+s /opt/${PN}/chrome-sandbox
+	domenu ledger-live-desktop.desktop
+	insinto /usr/share
+	doins -r usr/share/icons
+	dosym -r /opt/${PN}/ledger-live-desktop /usr/bin/ledger-live
+	# bug 937379
+	rm "${ED}"/opt/${PN}/resources/app-update.yml || die
+	find "${ED}" -type d -exec chmod 755 {} + || die
 }


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: app-misc/ledger-live-bin/
  2024-08-06  2:13 [gentoo-commits] repo/proj/guru:dev " Lucio Sauer
@ 2024-08-06 14:10 ` Lucio Sauer
  0 siblings, 0 replies; 9+ messages in thread
From: Lucio Sauer @ 2024-08-06 14:10 UTC (permalink / raw
  To: gentoo-commits

commit:     538217ef332f7abe3067a914a0ff2515124ba525
Author:     Lucio Sauer <watermanpaint <AT> posteo <DOT> net>
AuthorDate: Tue Aug  6 00:16:28 2024 +0000
Commit:     Lucio Sauer <watermanpaint <AT> posteo <DOT> net>
CommitDate: Tue Aug  6 01:04:49 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=538217ef

app-misc/ledger-live-bin: fix LICENSE

Apart from the copyright of the sources, usage of Ledger Live Services
is also subjected to ledger-live-ToU.

Signed-off-by: Lucio Sauer <watermanpaint <AT> posteo.net>

 ...{ledger-live-bin-2.79.1.ebuild => ledger-live-bin-2.79.1-r1.ebuild} | 3 ++-
 ...{ledger-live-bin-2.81.2.ebuild => ledger-live-bin-2.81.2-r1.ebuild} | 3 ++-
 ...{ledger-live-bin-2.83.0.ebuild => ledger-live-bin-2.83.0-r1.ebuild} | 3 ++-
 3 files changed, 6 insertions(+), 3 deletions(-)

diff --git a/app-misc/ledger-live-bin/ledger-live-bin-2.79.1.ebuild b/app-misc/ledger-live-bin/ledger-live-bin-2.79.1-r1.ebuild
similarity index 89%
rename from app-misc/ledger-live-bin/ledger-live-bin-2.79.1.ebuild
rename to app-misc/ledger-live-bin/ledger-live-bin-2.79.1-r1.ebuild
index ba7847782..ad1c0bacb 100644
--- a/app-misc/ledger-live-bin/ledger-live-bin-2.79.1.ebuild
+++ b/app-misc/ledger-live-bin/ledger-live-bin-2.79.1-r1.ebuild
@@ -9,7 +9,8 @@ SRC_URI="https://download.live.ledger.com/ledger-live-desktop-${PV}-linux-x86_64
 
 S="${WORKDIR}"
 
-LICENSE="all-rights-reserved"
+# logos of Ledger are non-free
+LICENSE="ledger-live-ToU MIT"
 SLOT="0"
 KEYWORDS="~amd64"
 RESTRICT="strip"

diff --git a/app-misc/ledger-live-bin/ledger-live-bin-2.81.2.ebuild b/app-misc/ledger-live-bin/ledger-live-bin-2.81.2-r1.ebuild
similarity index 89%
rename from app-misc/ledger-live-bin/ledger-live-bin-2.81.2.ebuild
rename to app-misc/ledger-live-bin/ledger-live-bin-2.81.2-r1.ebuild
index ba7847782..ad1c0bacb 100644
--- a/app-misc/ledger-live-bin/ledger-live-bin-2.81.2.ebuild
+++ b/app-misc/ledger-live-bin/ledger-live-bin-2.81.2-r1.ebuild
@@ -9,7 +9,8 @@ SRC_URI="https://download.live.ledger.com/ledger-live-desktop-${PV}-linux-x86_64
 
 S="${WORKDIR}"
 
-LICENSE="all-rights-reserved"
+# logos of Ledger are non-free
+LICENSE="ledger-live-ToU MIT"
 SLOT="0"
 KEYWORDS="~amd64"
 RESTRICT="strip"

diff --git a/app-misc/ledger-live-bin/ledger-live-bin-2.83.0.ebuild b/app-misc/ledger-live-bin/ledger-live-bin-2.83.0-r1.ebuild
similarity index 89%
rename from app-misc/ledger-live-bin/ledger-live-bin-2.83.0.ebuild
rename to app-misc/ledger-live-bin/ledger-live-bin-2.83.0-r1.ebuild
index ba7847782..ad1c0bacb 100644
--- a/app-misc/ledger-live-bin/ledger-live-bin-2.83.0.ebuild
+++ b/app-misc/ledger-live-bin/ledger-live-bin-2.83.0-r1.ebuild
@@ -9,7 +9,8 @@ SRC_URI="https://download.live.ledger.com/ledger-live-desktop-${PV}-linux-x86_64
 
 S="${WORKDIR}"
 
-LICENSE="all-rights-reserved"
+# logos of Ledger are non-free
+LICENSE="ledger-live-ToU MIT"
 SLOT="0"
 KEYWORDS="~amd64"
 RESTRICT="strip"


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: app-misc/ledger-live-bin/
  2024-08-06  2:13 [gentoo-commits] repo/proj/guru:dev " Lucio Sauer
@ 2024-08-06 14:10 ` Lucio Sauer
  0 siblings, 0 replies; 9+ messages in thread
From: Lucio Sauer @ 2024-08-06 14:10 UTC (permalink / raw
  To: gentoo-commits

commit:     b51a1ce220050a83487f36f759a6b7375c2f0d1f
Author:     Lucio Sauer <watermanpaint <AT> posteo <DOT> net>
AuthorDate: Tue Aug  6 01:44:13 2024 +0000
Commit:     Lucio Sauer <watermanpaint <AT> posteo <DOT> net>
CommitDate: Tue Aug  6 02:11:49 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=b51a1ce2

app-misc/ledger-live-bin: tighten QA_PREBUILT

Signed-off-by: Lucio Sauer <watermanpaint <AT> posteo.net>

 app-misc/ledger-live-bin/ledger-live-bin-2.79.1-r1.ebuild | 11 ++++++++++-
 app-misc/ledger-live-bin/ledger-live-bin-2.81.2-r1.ebuild | 11 ++++++++++-
 app-misc/ledger-live-bin/ledger-live-bin-2.83.0-r1.ebuild | 11 ++++++++++-
 3 files changed, 30 insertions(+), 3 deletions(-)

diff --git a/app-misc/ledger-live-bin/ledger-live-bin-2.79.1-r1.ebuild b/app-misc/ledger-live-bin/ledger-live-bin-2.79.1-r1.ebuild
index ee450216b..f47fff598 100644
--- a/app-misc/ledger-live-bin/ledger-live-bin-2.79.1-r1.ebuild
+++ b/app-misc/ledger-live-bin/ledger-live-bin-2.79.1-r1.ebuild
@@ -41,7 +41,16 @@ RDEPEND="
 	x11-libs/pango
 "
 
-QA_PREBUILT="*"
+QA_PREBUILT="
+	opt/ledger-live/chrome-sandbox
+	opt/ledger-live/chrome_crashpad_handler
+	opt/ledger-live/ledger-live-desktop
+	opt/ledger-live/libEGL.so
+	opt/ledger-live/libGLESv2.so
+	opt/ledger-live/libffmpeg.so
+	opt/ledger-live/libvk_swiftshader.so
+	opt/ledger-live/libvulkan.so.1
+"
 
 src_unpack() {
 	cp "${DISTDIR}"/ledger-live-desktop-${PV}-linux-x86_64.AppImage ${P}.AppImage || die

diff --git a/app-misc/ledger-live-bin/ledger-live-bin-2.81.2-r1.ebuild b/app-misc/ledger-live-bin/ledger-live-bin-2.81.2-r1.ebuild
index ee450216b..f47fff598 100644
--- a/app-misc/ledger-live-bin/ledger-live-bin-2.81.2-r1.ebuild
+++ b/app-misc/ledger-live-bin/ledger-live-bin-2.81.2-r1.ebuild
@@ -41,7 +41,16 @@ RDEPEND="
 	x11-libs/pango
 "
 
-QA_PREBUILT="*"
+QA_PREBUILT="
+	opt/ledger-live/chrome-sandbox
+	opt/ledger-live/chrome_crashpad_handler
+	opt/ledger-live/ledger-live-desktop
+	opt/ledger-live/libEGL.so
+	opt/ledger-live/libGLESv2.so
+	opt/ledger-live/libffmpeg.so
+	opt/ledger-live/libvk_swiftshader.so
+	opt/ledger-live/libvulkan.so.1
+"
 
 src_unpack() {
 	cp "${DISTDIR}"/ledger-live-desktop-${PV}-linux-x86_64.AppImage ${P}.AppImage || die

diff --git a/app-misc/ledger-live-bin/ledger-live-bin-2.83.0-r1.ebuild b/app-misc/ledger-live-bin/ledger-live-bin-2.83.0-r1.ebuild
index ee450216b..f47fff598 100644
--- a/app-misc/ledger-live-bin/ledger-live-bin-2.83.0-r1.ebuild
+++ b/app-misc/ledger-live-bin/ledger-live-bin-2.83.0-r1.ebuild
@@ -41,7 +41,16 @@ RDEPEND="
 	x11-libs/pango
 "
 
-QA_PREBUILT="*"
+QA_PREBUILT="
+	opt/ledger-live/chrome-sandbox
+	opt/ledger-live/chrome_crashpad_handler
+	opt/ledger-live/ledger-live-desktop
+	opt/ledger-live/libEGL.so
+	opt/ledger-live/libGLESv2.so
+	opt/ledger-live/libffmpeg.so
+	opt/ledger-live/libvk_swiftshader.so
+	opt/ledger-live/libvulkan.so.1
+"
 
 src_unpack() {
 	cp "${DISTDIR}"/ledger-live-desktop-${PV}-linux-x86_64.AppImage ${P}.AppImage || die


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: app-misc/ledger-live-bin/
  2024-08-06  2:13 [gentoo-commits] repo/proj/guru:dev " Lucio Sauer
@ 2024-08-06 14:10 ` Lucio Sauer
  0 siblings, 0 replies; 9+ messages in thread
From: Lucio Sauer @ 2024-08-06 14:10 UTC (permalink / raw
  To: gentoo-commits

commit:     a2c542910085b5837f0b34b5c4cfe3fa113f74c0
Author:     Lucio Sauer <watermanpaint <AT> posteo <DOT> net>
AuthorDate: Tue Aug  6 01:46:22 2024 +0000
Commit:     Lucio Sauer <watermanpaint <AT> posteo <DOT> net>
CommitDate: Tue Aug  6 02:12:07 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=a2c54291

app-misc/ledger-live-bin: add 2.84.1

Signed-off-by: Lucio Sauer <watermanpaint <AT> posteo.net>

 app-misc/ledger-live-bin/Manifest                  |  1 +
 .../ledger-live-bin/ledger-live-bin-2.84.1.ebuild  | 82 ++++++++++++++++++++++
 2 files changed, 83 insertions(+)

diff --git a/app-misc/ledger-live-bin/Manifest b/app-misc/ledger-live-bin/Manifest
index cff966b6c..31865bb24 100644
--- a/app-misc/ledger-live-bin/Manifest
+++ b/app-misc/ledger-live-bin/Manifest
@@ -1,3 +1,4 @@
 DIST ledger-live-desktop-2.79.1-linux-x86_64.AppImage 153261127 BLAKE2B be85647d781b79837e88110ae3d8a54ae4085e91771b22da7fbb57c355bd06ab49583678ed02e9db5f46fd4dbd5a519fccd8174767474e4690b48cfbe90f5a90 SHA512 ef0416e9fba5c421b969dea3b463f732fbb2efce333d1882e53987b4cb19627f3111da4d65049c09813fce882c0db5c3b6caa96968bf71e631ecdeea312b446f
 DIST ledger-live-desktop-2.81.2-linux-x86_64.AppImage 153803163 BLAKE2B 2d410f0f85eb20199a4688b00c80ac5f668838eab22e7cd8e5d3c2c10577dfa8250b6d05e6a5282347eaf08d486e426c7952a4fb56fcfde1f615cdfe35797acd SHA512 96ae1d30d89334b71ffb785c0f25179e6f66faed99eebcf13726dcd2481b976043788539820effb9152fb857793eef96c7618e3024496b5084e1e8ac5398a0e9
 DIST ledger-live-desktop-2.83.0-linux-x86_64.AppImage 156258393 BLAKE2B 88ad67e76d5fbff2d177aa0281a92bdc8efd7a5dc259bcc7c62f62b457cdf2904bdda5272c58fd37e782124789237cd39dd57978006de360b86a34d80e0a6397 SHA512 ba6beeaae36a96eb0ea9ecdee9d5796329e980890a6fafe0fbd24f1915f60cc061fc9b8975d03c587743bef33127fcb46f1eda458d197dcc43e6cf2291832421
+DIST ledger-live-desktop-2.84.1-linux-x86_64.AppImage 157947353 BLAKE2B 70da8cd7f178c1c2bd1361ac46b61319bb5dafcdd0a18b05146f0bc6170800bfa3b3551ac80164d421ea47667b7745d3cbdf286345fbc81e9b9b72e1deb762f7 SHA512 dbd1c38a79f8fc6934a3aada5e9438f9baac1b42d444ec3651826218b6187d9d898b3d79be996e6de9dfbae58afe1dc6e7b30d95f9eac45542ac8c1da0579be2

diff --git a/app-misc/ledger-live-bin/ledger-live-bin-2.84.1.ebuild b/app-misc/ledger-live-bin/ledger-live-bin-2.84.1.ebuild
new file mode 100644
index 000000000..f47fff598
--- /dev/null
+++ b/app-misc/ledger-live-bin/ledger-live-bin-2.84.1.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit desktop xdg
+
+DESCRIPTION="Manager for the Ledger hardware wallet"
+HOMEPAGE="https://www.ledger.com/"
+SRC_URI="https://download.live.ledger.com/ledger-live-desktop-${PV}-linux-x86_64.AppImage"
+
+S="${WORKDIR}/squashfs-root"
+
+# logos of Ledger are non-free
+LICENSE="ledger-live-ToU MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+RESTRICT="strip"
+
+RDEPEND="
+	app-accessibility/at-spi2-core:2
+	dev-libs/expat
+	dev-libs/glib:2
+	dev-libs/nspr
+	dev-libs/nss
+	media-libs/alsa-lib
+	media-libs/mesa
+	net-print/cups
+	sys-apps/dbus
+	x11-libs/cairo
+	x11-libs/gtk+:3
+	x11-libs/libX11
+	x11-libs/libXcomposite
+	x11-libs/libXdamage
+	x11-libs/libXext
+	x11-libs/libXfixes
+	x11-libs/libXrandr
+	x11-libs/libdrm
+	x11-libs/libxcb
+	x11-libs/libxkbcommon
+	x11-libs/pango
+"
+
+QA_PREBUILT="
+	opt/ledger-live/chrome-sandbox
+	opt/ledger-live/chrome_crashpad_handler
+	opt/ledger-live/ledger-live-desktop
+	opt/ledger-live/libEGL.so
+	opt/ledger-live/libGLESv2.so
+	opt/ledger-live/libffmpeg.so
+	opt/ledger-live/libvk_swiftshader.so
+	opt/ledger-live/libvulkan.so.1
+"
+
+src_unpack() {
+	cp "${DISTDIR}"/ledger-live-desktop-${PV}-linux-x86_64.AppImage ${P}.AppImage || die
+	chmod +x ${P}.AppImage || die
+	./${P}.AppImage --appimage-extract || die
+	rm ${P}.AppImage || die
+}
+
+src_prepare() {
+	default
+	sed -e 's/AppRun --no-sandbox/ledger-live/' \
+		-e '/X-AppImage-Version/d' \
+		-i ledger-live-desktop.desktop || die
+}
+
+src_install() {
+	exeinto /opt/${PN}
+	doexe chrome{-sandbox,_crashpad_handler} ledger-live-desktop
+	insinto /opt/${PN}
+	doins -r *.{bin,dat,json,pak} locales resources lib*
+	fperms u+s /opt/${PN}/chrome-sandbox
+	domenu ledger-live-desktop.desktop
+	insinto /usr/share
+	doins -r usr/share/icons
+	dosym -r /opt/${PN}/ledger-live-desktop /usr/bin/ledger-live
+	# bug 937379
+	rm "${ED}"/opt/${PN}/resources/app-update.yml || die
+	find "${ED}" -type d -exec chmod 755 {} + || die
+}


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: app-misc/ledger-live-bin/
  2024-08-08  0:27 [gentoo-commits] repo/proj/guru:dev " Lucio Sauer
@ 2024-08-08  0:33 ` Lucio Sauer
  0 siblings, 0 replies; 9+ messages in thread
From: Lucio Sauer @ 2024-08-08  0:33 UTC (permalink / raw
  To: gentoo-commits

commit:     2fe25020db8e18dcee75d58e4152da202b16a843
Author:     Lucio Sauer <watermanpaint <AT> posteo <DOT> net>
AuthorDate: Thu Aug  8 00:22:37 2024 +0000
Commit:     Lucio Sauer <watermanpaint <AT> posteo <DOT> net>
CommitDate: Thu Aug  8 00:25:57 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=2fe25020

app-misc/ledger-live-bin: add QA_FLAGS_IGNORED

Closes: https://bugs.gentoo.org/937489
Closes: https://bugs.gentoo.org/937490
Signed-off-by: Lucio Sauer <watermanpaint <AT> posteo.net>

 app-misc/ledger-live-bin/ledger-live-bin-2.79.1-r1.ebuild | 1 +
 app-misc/ledger-live-bin/ledger-live-bin-2.81.2-r1.ebuild | 1 +
 app-misc/ledger-live-bin/ledger-live-bin-2.83.0-r1.ebuild | 1 +
 app-misc/ledger-live-bin/ledger-live-bin-2.84.1.ebuild    | 1 +
 4 files changed, 4 insertions(+)

diff --git a/app-misc/ledger-live-bin/ledger-live-bin-2.79.1-r1.ebuild b/app-misc/ledger-live-bin/ledger-live-bin-2.79.1-r1.ebuild
index f47fff598..a84428d99 100644
--- a/app-misc/ledger-live-bin/ledger-live-bin-2.79.1-r1.ebuild
+++ b/app-misc/ledger-live-bin/ledger-live-bin-2.79.1-r1.ebuild
@@ -51,6 +51,7 @@ QA_PREBUILT="
 	opt/ledger-live/libvk_swiftshader.so
 	opt/ledger-live/libvulkan.so.1
 "
+QA_FLAGS_IGNORED="${QT_PREBUILT}"
 
 src_unpack() {
 	cp "${DISTDIR}"/ledger-live-desktop-${PV}-linux-x86_64.AppImage ${P}.AppImage || die

diff --git a/app-misc/ledger-live-bin/ledger-live-bin-2.81.2-r1.ebuild b/app-misc/ledger-live-bin/ledger-live-bin-2.81.2-r1.ebuild
index f47fff598..a84428d99 100644
--- a/app-misc/ledger-live-bin/ledger-live-bin-2.81.2-r1.ebuild
+++ b/app-misc/ledger-live-bin/ledger-live-bin-2.81.2-r1.ebuild
@@ -51,6 +51,7 @@ QA_PREBUILT="
 	opt/ledger-live/libvk_swiftshader.so
 	opt/ledger-live/libvulkan.so.1
 "
+QA_FLAGS_IGNORED="${QT_PREBUILT}"
 
 src_unpack() {
 	cp "${DISTDIR}"/ledger-live-desktop-${PV}-linux-x86_64.AppImage ${P}.AppImage || die

diff --git a/app-misc/ledger-live-bin/ledger-live-bin-2.83.0-r1.ebuild b/app-misc/ledger-live-bin/ledger-live-bin-2.83.0-r1.ebuild
index f47fff598..a84428d99 100644
--- a/app-misc/ledger-live-bin/ledger-live-bin-2.83.0-r1.ebuild
+++ b/app-misc/ledger-live-bin/ledger-live-bin-2.83.0-r1.ebuild
@@ -51,6 +51,7 @@ QA_PREBUILT="
 	opt/ledger-live/libvk_swiftshader.so
 	opt/ledger-live/libvulkan.so.1
 "
+QA_FLAGS_IGNORED="${QT_PREBUILT}"
 
 src_unpack() {
 	cp "${DISTDIR}"/ledger-live-desktop-${PV}-linux-x86_64.AppImage ${P}.AppImage || die

diff --git a/app-misc/ledger-live-bin/ledger-live-bin-2.84.1.ebuild b/app-misc/ledger-live-bin/ledger-live-bin-2.84.1.ebuild
index f47fff598..a84428d99 100644
--- a/app-misc/ledger-live-bin/ledger-live-bin-2.84.1.ebuild
+++ b/app-misc/ledger-live-bin/ledger-live-bin-2.84.1.ebuild
@@ -51,6 +51,7 @@ QA_PREBUILT="
 	opt/ledger-live/libvk_swiftshader.so
 	opt/ledger-live/libvulkan.so.1
 "
+QA_FLAGS_IGNORED="${QT_PREBUILT}"
 
 src_unpack() {
 	cp "${DISTDIR}"/ledger-live-desktop-${PV}-linux-x86_64.AppImage ${P}.AppImage || die


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: app-misc/ledger-live-bin/
  2024-08-08  0:27 [gentoo-commits] repo/proj/guru:dev " Lucio Sauer
@ 2024-08-08  0:33 ` Lucio Sauer
  0 siblings, 0 replies; 9+ messages in thread
From: Lucio Sauer @ 2024-08-08  0:33 UTC (permalink / raw
  To: gentoo-commits

commit:     5a1c27cb0ddce4964b056d31e4ee3945917603ac
Author:     Lucio Sauer <watermanpaint <AT> posteo <DOT> net>
AuthorDate: Thu Aug  8 00:23:38 2024 +0000
Commit:     Lucio Sauer <watermanpaint <AT> posteo <DOT> net>
CommitDate: Thu Aug  8 00:26:29 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=5a1c27cb

app-misc/ledger-live-bin: drop 2.79.1-r1, 2.81.2-r1, 2.83.0-r1

Signed-off-by: Lucio Sauer <watermanpaint <AT> posteo.net>

 app-misc/ledger-live-bin/Manifest                  |  3 -
 .../ledger-live-bin-2.79.1-r1.ebuild               | 83 ----------------------
 .../ledger-live-bin-2.81.2-r1.ebuild               | 83 ----------------------
 .../ledger-live-bin-2.83.0-r1.ebuild               | 83 ----------------------
 4 files changed, 252 deletions(-)

diff --git a/app-misc/ledger-live-bin/Manifest b/app-misc/ledger-live-bin/Manifest
index 31865bb24..95af2edee 100644
--- a/app-misc/ledger-live-bin/Manifest
+++ b/app-misc/ledger-live-bin/Manifest
@@ -1,4 +1 @@
-DIST ledger-live-desktop-2.79.1-linux-x86_64.AppImage 153261127 BLAKE2B be85647d781b79837e88110ae3d8a54ae4085e91771b22da7fbb57c355bd06ab49583678ed02e9db5f46fd4dbd5a519fccd8174767474e4690b48cfbe90f5a90 SHA512 ef0416e9fba5c421b969dea3b463f732fbb2efce333d1882e53987b4cb19627f3111da4d65049c09813fce882c0db5c3b6caa96968bf71e631ecdeea312b446f
-DIST ledger-live-desktop-2.81.2-linux-x86_64.AppImage 153803163 BLAKE2B 2d410f0f85eb20199a4688b00c80ac5f668838eab22e7cd8e5d3c2c10577dfa8250b6d05e6a5282347eaf08d486e426c7952a4fb56fcfde1f615cdfe35797acd SHA512 96ae1d30d89334b71ffb785c0f25179e6f66faed99eebcf13726dcd2481b976043788539820effb9152fb857793eef96c7618e3024496b5084e1e8ac5398a0e9
-DIST ledger-live-desktop-2.83.0-linux-x86_64.AppImage 156258393 BLAKE2B 88ad67e76d5fbff2d177aa0281a92bdc8efd7a5dc259bcc7c62f62b457cdf2904bdda5272c58fd37e782124789237cd39dd57978006de360b86a34d80e0a6397 SHA512 ba6beeaae36a96eb0ea9ecdee9d5796329e980890a6fafe0fbd24f1915f60cc061fc9b8975d03c587743bef33127fcb46f1eda458d197dcc43e6cf2291832421
 DIST ledger-live-desktop-2.84.1-linux-x86_64.AppImage 157947353 BLAKE2B 70da8cd7f178c1c2bd1361ac46b61319bb5dafcdd0a18b05146f0bc6170800bfa3b3551ac80164d421ea47667b7745d3cbdf286345fbc81e9b9b72e1deb762f7 SHA512 dbd1c38a79f8fc6934a3aada5e9438f9baac1b42d444ec3651826218b6187d9d898b3d79be996e6de9dfbae58afe1dc6e7b30d95f9eac45542ac8c1da0579be2

diff --git a/app-misc/ledger-live-bin/ledger-live-bin-2.79.1-r1.ebuild b/app-misc/ledger-live-bin/ledger-live-bin-2.79.1-r1.ebuild
deleted file mode 100644
index a84428d99..000000000
--- a/app-misc/ledger-live-bin/ledger-live-bin-2.79.1-r1.ebuild
+++ /dev/null
@@ -1,83 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit desktop xdg
-
-DESCRIPTION="Manager for the Ledger hardware wallet"
-HOMEPAGE="https://www.ledger.com/"
-SRC_URI="https://download.live.ledger.com/ledger-live-desktop-${PV}-linux-x86_64.AppImage"
-
-S="${WORKDIR}/squashfs-root"
-
-# logos of Ledger are non-free
-LICENSE="ledger-live-ToU MIT"
-SLOT="0"
-KEYWORDS="~amd64"
-RESTRICT="strip"
-
-RDEPEND="
-	app-accessibility/at-spi2-core:2
-	dev-libs/expat
-	dev-libs/glib:2
-	dev-libs/nspr
-	dev-libs/nss
-	media-libs/alsa-lib
-	media-libs/mesa
-	net-print/cups
-	sys-apps/dbus
-	x11-libs/cairo
-	x11-libs/gtk+:3
-	x11-libs/libX11
-	x11-libs/libXcomposite
-	x11-libs/libXdamage
-	x11-libs/libXext
-	x11-libs/libXfixes
-	x11-libs/libXrandr
-	x11-libs/libdrm
-	x11-libs/libxcb
-	x11-libs/libxkbcommon
-	x11-libs/pango
-"
-
-QA_PREBUILT="
-	opt/ledger-live/chrome-sandbox
-	opt/ledger-live/chrome_crashpad_handler
-	opt/ledger-live/ledger-live-desktop
-	opt/ledger-live/libEGL.so
-	opt/ledger-live/libGLESv2.so
-	opt/ledger-live/libffmpeg.so
-	opt/ledger-live/libvk_swiftshader.so
-	opt/ledger-live/libvulkan.so.1
-"
-QA_FLAGS_IGNORED="${QT_PREBUILT}"
-
-src_unpack() {
-	cp "${DISTDIR}"/ledger-live-desktop-${PV}-linux-x86_64.AppImage ${P}.AppImage || die
-	chmod +x ${P}.AppImage || die
-	./${P}.AppImage --appimage-extract || die
-	rm ${P}.AppImage || die
-}
-
-src_prepare() {
-	default
-	sed -e 's/AppRun --no-sandbox/ledger-live/' \
-		-e '/X-AppImage-Version/d' \
-		-i ledger-live-desktop.desktop || die
-}
-
-src_install() {
-	exeinto /opt/${PN}
-	doexe chrome{-sandbox,_crashpad_handler} ledger-live-desktop
-	insinto /opt/${PN}
-	doins -r *.{bin,dat,json,pak} locales resources lib*
-	fperms u+s /opt/${PN}/chrome-sandbox
-	domenu ledger-live-desktop.desktop
-	insinto /usr/share
-	doins -r usr/share/icons
-	dosym -r /opt/${PN}/ledger-live-desktop /usr/bin/ledger-live
-	# bug 937379
-	rm "${ED}"/opt/${PN}/resources/app-update.yml || die
-	find "${ED}" -type d -exec chmod 755 {} + || die
-}

diff --git a/app-misc/ledger-live-bin/ledger-live-bin-2.81.2-r1.ebuild b/app-misc/ledger-live-bin/ledger-live-bin-2.81.2-r1.ebuild
deleted file mode 100644
index a84428d99..000000000
--- a/app-misc/ledger-live-bin/ledger-live-bin-2.81.2-r1.ebuild
+++ /dev/null
@@ -1,83 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit desktop xdg
-
-DESCRIPTION="Manager for the Ledger hardware wallet"
-HOMEPAGE="https://www.ledger.com/"
-SRC_URI="https://download.live.ledger.com/ledger-live-desktop-${PV}-linux-x86_64.AppImage"
-
-S="${WORKDIR}/squashfs-root"
-
-# logos of Ledger are non-free
-LICENSE="ledger-live-ToU MIT"
-SLOT="0"
-KEYWORDS="~amd64"
-RESTRICT="strip"
-
-RDEPEND="
-	app-accessibility/at-spi2-core:2
-	dev-libs/expat
-	dev-libs/glib:2
-	dev-libs/nspr
-	dev-libs/nss
-	media-libs/alsa-lib
-	media-libs/mesa
-	net-print/cups
-	sys-apps/dbus
-	x11-libs/cairo
-	x11-libs/gtk+:3
-	x11-libs/libX11
-	x11-libs/libXcomposite
-	x11-libs/libXdamage
-	x11-libs/libXext
-	x11-libs/libXfixes
-	x11-libs/libXrandr
-	x11-libs/libdrm
-	x11-libs/libxcb
-	x11-libs/libxkbcommon
-	x11-libs/pango
-"
-
-QA_PREBUILT="
-	opt/ledger-live/chrome-sandbox
-	opt/ledger-live/chrome_crashpad_handler
-	opt/ledger-live/ledger-live-desktop
-	opt/ledger-live/libEGL.so
-	opt/ledger-live/libGLESv2.so
-	opt/ledger-live/libffmpeg.so
-	opt/ledger-live/libvk_swiftshader.so
-	opt/ledger-live/libvulkan.so.1
-"
-QA_FLAGS_IGNORED="${QT_PREBUILT}"
-
-src_unpack() {
-	cp "${DISTDIR}"/ledger-live-desktop-${PV}-linux-x86_64.AppImage ${P}.AppImage || die
-	chmod +x ${P}.AppImage || die
-	./${P}.AppImage --appimage-extract || die
-	rm ${P}.AppImage || die
-}
-
-src_prepare() {
-	default
-	sed -e 's/AppRun --no-sandbox/ledger-live/' \
-		-e '/X-AppImage-Version/d' \
-		-i ledger-live-desktop.desktop || die
-}
-
-src_install() {
-	exeinto /opt/${PN}
-	doexe chrome{-sandbox,_crashpad_handler} ledger-live-desktop
-	insinto /opt/${PN}
-	doins -r *.{bin,dat,json,pak} locales resources lib*
-	fperms u+s /opt/${PN}/chrome-sandbox
-	domenu ledger-live-desktop.desktop
-	insinto /usr/share
-	doins -r usr/share/icons
-	dosym -r /opt/${PN}/ledger-live-desktop /usr/bin/ledger-live
-	# bug 937379
-	rm "${ED}"/opt/${PN}/resources/app-update.yml || die
-	find "${ED}" -type d -exec chmod 755 {} + || die
-}

diff --git a/app-misc/ledger-live-bin/ledger-live-bin-2.83.0-r1.ebuild b/app-misc/ledger-live-bin/ledger-live-bin-2.83.0-r1.ebuild
deleted file mode 100644
index a84428d99..000000000
--- a/app-misc/ledger-live-bin/ledger-live-bin-2.83.0-r1.ebuild
+++ /dev/null
@@ -1,83 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit desktop xdg
-
-DESCRIPTION="Manager for the Ledger hardware wallet"
-HOMEPAGE="https://www.ledger.com/"
-SRC_URI="https://download.live.ledger.com/ledger-live-desktop-${PV}-linux-x86_64.AppImage"
-
-S="${WORKDIR}/squashfs-root"
-
-# logos of Ledger are non-free
-LICENSE="ledger-live-ToU MIT"
-SLOT="0"
-KEYWORDS="~amd64"
-RESTRICT="strip"
-
-RDEPEND="
-	app-accessibility/at-spi2-core:2
-	dev-libs/expat
-	dev-libs/glib:2
-	dev-libs/nspr
-	dev-libs/nss
-	media-libs/alsa-lib
-	media-libs/mesa
-	net-print/cups
-	sys-apps/dbus
-	x11-libs/cairo
-	x11-libs/gtk+:3
-	x11-libs/libX11
-	x11-libs/libXcomposite
-	x11-libs/libXdamage
-	x11-libs/libXext
-	x11-libs/libXfixes
-	x11-libs/libXrandr
-	x11-libs/libdrm
-	x11-libs/libxcb
-	x11-libs/libxkbcommon
-	x11-libs/pango
-"
-
-QA_PREBUILT="
-	opt/ledger-live/chrome-sandbox
-	opt/ledger-live/chrome_crashpad_handler
-	opt/ledger-live/ledger-live-desktop
-	opt/ledger-live/libEGL.so
-	opt/ledger-live/libGLESv2.so
-	opt/ledger-live/libffmpeg.so
-	opt/ledger-live/libvk_swiftshader.so
-	opt/ledger-live/libvulkan.so.1
-"
-QA_FLAGS_IGNORED="${QT_PREBUILT}"
-
-src_unpack() {
-	cp "${DISTDIR}"/ledger-live-desktop-${PV}-linux-x86_64.AppImage ${P}.AppImage || die
-	chmod +x ${P}.AppImage || die
-	./${P}.AppImage --appimage-extract || die
-	rm ${P}.AppImage || die
-}
-
-src_prepare() {
-	default
-	sed -e 's/AppRun --no-sandbox/ledger-live/' \
-		-e '/X-AppImage-Version/d' \
-		-i ledger-live-desktop.desktop || die
-}
-
-src_install() {
-	exeinto /opt/${PN}
-	doexe chrome{-sandbox,_crashpad_handler} ledger-live-desktop
-	insinto /opt/${PN}
-	doins -r *.{bin,dat,json,pak} locales resources lib*
-	fperms u+s /opt/${PN}/chrome-sandbox
-	domenu ledger-live-desktop.desktop
-	insinto /usr/share
-	doins -r usr/share/icons
-	dosym -r /opt/${PN}/ledger-live-desktop /usr/bin/ledger-live
-	# bug 937379
-	rm "${ED}"/opt/${PN}/resources/app-update.yml || die
-	find "${ED}" -type d -exec chmod 755 {} + || die
-}


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: app-misc/ledger-live-bin/
@ 2024-08-09 12:46 David Roman
  0 siblings, 0 replies; 9+ messages in thread
From: David Roman @ 2024-08-09 12:46 UTC (permalink / raw
  To: gentoo-commits

commit:     d9143c79fc531fbfcc9adde7b2a7314e2ee02d40
Author:     Lucio Sauer <watermanpaint <AT> posteo <DOT> net>
AuthorDate: Fri Aug  9 02:15:44 2024 +0000
Commit:     David Roman <davidroman96 <AT> gmail <DOT> com>
CommitDate: Fri Aug  9 02:21:26 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=d9143c79

app-misc/ledger-live-bin: sync install location with QA_PREBUILT

I didn't account for the package move when specifying QA_PREBUILT in commit
b51a1c.

Bug: https://bugs.gentoo.org/937490
Fixes: b51a1ce220050a83487f36f759a6b7375c2f0d1f
Signed-off-by: Lucio Sauer <watermanpaint <AT> posteo.net>

 app-misc/ledger-live-bin/ledger-live-bin-2.84.1.ebuild | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

diff --git a/app-misc/ledger-live-bin/ledger-live-bin-2.84.1.ebuild b/app-misc/ledger-live-bin/ledger-live-bin-2.84.1.ebuild
index a84428d99..793084f6b 100644
--- a/app-misc/ledger-live-bin/ledger-live-bin-2.84.1.ebuild
+++ b/app-misc/ledger-live-bin/ledger-live-bin-2.84.1.ebuild
@@ -51,7 +51,6 @@ QA_PREBUILT="
 	opt/ledger-live/libvk_swiftshader.so
 	opt/ledger-live/libvulkan.so.1
 "
-QA_FLAGS_IGNORED="${QT_PREBUILT}"
 
 src_unpack() {
 	cp "${DISTDIR}"/ledger-live-desktop-${PV}-linux-x86_64.AppImage ${P}.AppImage || die
@@ -68,16 +67,16 @@ src_prepare() {
 }
 
 src_install() {
-	exeinto /opt/${PN}
+	exeinto /opt/ledger-live
 	doexe chrome{-sandbox,_crashpad_handler} ledger-live-desktop
-	insinto /opt/${PN}
+	insinto /opt/ledger-live
 	doins -r *.{bin,dat,json,pak} locales resources lib*
-	fperms u+s /opt/${PN}/chrome-sandbox
+	fperms u+s /opt/ledger-live/chrome-sandbox
 	domenu ledger-live-desktop.desktop
 	insinto /usr/share
 	doins -r usr/share/icons
-	dosym -r /opt/${PN}/ledger-live-desktop /usr/bin/ledger-live
+	dosym -r /opt/ledger-live/ledger-live-desktop /usr/bin/ledger-live
 	# bug 937379
-	rm "${ED}"/opt/${PN}/resources/app-update.yml || die
+	rm "${ED}"/opt/ledger-live/resources/app-update.yml || die
 	find "${ED}" -type d -exec chmod 755 {} + || die
 }


^ permalink raw reply related	[flat|nested] 9+ messages in thread

end of thread, other threads:[~2024-08-09 12:46 UTC | newest]

Thread overview: 9+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2024-08-06  2:13 [gentoo-commits] repo/proj/guru:dev commit in: app-misc/ledger-live-bin/ Lucio Sauer
2024-08-06 14:10 ` [gentoo-commits] repo/proj/guru:master " Lucio Sauer
  -- strict thread matches above, loose matches on Subject: below --
2024-08-09 12:46 David Roman
2024-08-08  0:27 [gentoo-commits] repo/proj/guru:dev " Lucio Sauer
2024-08-08  0:33 ` [gentoo-commits] repo/proj/guru:master " Lucio Sauer
2024-08-08  0:27 [gentoo-commits] repo/proj/guru:dev " Lucio Sauer
2024-08-08  0:33 ` [gentoo-commits] repo/proj/guru:master " Lucio Sauer
2024-08-06  2:13 [gentoo-commits] repo/proj/guru:dev " Lucio Sauer
2024-08-06 14:10 ` [gentoo-commits] repo/proj/guru:master " Lucio Sauer
2024-08-06  2:13 [gentoo-commits] repo/proj/guru:dev " Lucio Sauer
2024-08-06 14:10 ` [gentoo-commits] repo/proj/guru:master " Lucio Sauer
2024-08-06  2:13 [gentoo-commits] repo/proj/guru:dev " Lucio Sauer
2024-08-06 14:10 ` [gentoo-commits] repo/proj/guru:master " Lucio Sauer
2024-08-06  2:13 [gentoo-commits] repo/proj/guru:dev " Lucio Sauer
2024-08-06 14:10 ` [gentoo-commits] repo/proj/guru:master " Lucio Sauer

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox